<template>
    <div class="statisticsPanel">
        <div class="title">统计类型</div>
        <div class="container">
            <div v-for="(value, key) in statisticsTypeList" class="statisticsItem" :key="value.id" @click="handleClick(key)"
                @tap="handleClick(key)">
                <div class="picContainer">
                    <img :src="value.src" />
                </div>
                <span>{{ value.name }}</span>
            </div>
        </div>
    </div>
</template>

<script>
import store from "@/utils/store.js";
export default {
    name: 'StatisticsPanel',
    data() {
        return {
            statisticsTypeList: [
                {
                    id: 'yinjing',
                    name: '窨井',
                    src: require("@/assets/img/statistics/yj.png")
                },
                {
                    id: 'video',
                    name: '摄像头',
                    src: require("@/assets/img/statistics/spjk.png")
                }
            ]
        }
    },
    methods: {
        handleClick(index) {
            switch (index) {
                case 0:
                    store.setManholeStatisticsShow(true);
                    break;
                case 1:
                    store.setVideoStatisticsShow(true);
                    break;
            }
        }
    },
}
</script>

<style scoped>
.statisticsPanel {
    width: 100%;
    position: absolute;
    bottom: 0px;
    padding: 0.1rem;
    background: white;
    z-index: 3001;
    padding-left: 0.25rem;
}

.title {
    height: 25px;
    font-size: 16px;
    font-family: Source Han Sans SC;
    font-weight: 700;
    color: #181818;
    line-height: 25px;
    margin: 10px 0px 10px 0px;
}

.container {
    display: flex;
    align-items: center;
    text-align: center;
}

.statisticsItem {
    color: black;
    text-align: center;
    cursor: pointer;
    /* pointer-events:none; */
    margin-right: 0.2rem;
}

.picContainer {
    width: 40px;
    height: 40px;
    background-color: #E6E6E6;
    border-radius: 10px;
    text-align: center;
    padding-top: 5px;
}

img {
    width: 30px;
    height: 30px;
    text-align: center;
}

.statisticsItem span {
    display: block;
    text-align: center;
}
</style>